using System.Text.Json.Serialization;

namespace DataSharing.Share.Dtos.Province.XieTong.Receive
{
    /// <summary>
    /// 服务工单催单
    /// </summary>
    public class RemindCaseInfoRequest
    {
        /// <summary>
        /// 
        /// </summary>
        public ClientInfo token { get; set; }

        /// <summary>
        /// 服务工单
        /// </summary>
        public RemindCaseInfoModel paras { get; set; }
    }

    /// <summary>
    /// 服务工单催单
    /// </summary>
    public class RemindCaseInfoModel
    {
        /// <summary>
        /// 催单时间
        /// </summary>
        [JsonPropertyName("REMIND_TIME")]
        [MDisplayName("催单时间")]
        [VRequired]
        public string? RemindTime { get; set; }

        /// <summary>
        /// 操作人员
        /// </summary>
        [JsonPropertyName("REMIND_NAME")]
        [MDisplayName("操作人员")]
        [VRequired]
        [VStringLength(0, 200)]
        public string RemindName { get; set; }

        /// <summary>
        /// 催单理由
        /// </summary>
        [JsonPropertyName("REMIND_REASION")]
        [MDisplayName("催单理由")]
        [VRequired]
        public string RemindReasion { get; set; }

        /// <summary>
        /// 服务工单编号
        /// </summary>
        [JsonPropertyName("CASE_SERIAL")]
        [VRequired]
        [VStringLength(0, 50)]
        [MDisplayName("服务工单编号")]
        public string CaseSerial { get; set; }

        /// <summary>
        /// 行政区划代码
        /// </summary>
        [JsonPropertyName("AREA_CODE")]
        [MDisplayName("行政区划代码")]
        [VRequired]
        [VStringLength(0, 24)]
        public string AreaCode { get; set; }

        /// <summary>
        /// 材料标识
        /// </summary>
        [JsonPropertyName("CLIENG_GUID")]
        [MDisplayName("材料标识")]
        [VRequired]
        [VStringLength(0, 50)]
        public string CliengGuid { get; set; }
    }
}
